xsec-c14n.pod(1)

NAME
xmlsec-c14n - Canonicalize an XML file

SYNOPSIS
xmlsec-c14n [-n] [-x] [-1.1] [-id id] input

DESCRIPTION
xmlsec-c14n canonicalizes an XML document following the W3C Canonical XML Recommendation. By default, it uses version 1.0, but it can use version 1.1 with the -1.1 flag and Exclusive XML Canonicalization 1.0 with the -x flag.

The source XML document is read from the provided input file, and the canonicalized version is written to standard output.

OPTIONS
Note that each option must be given as a separate argument.

-n  Do not include XML comments in the output.

-x  Canonicalize to the Exclusive XML Canonicalization 1.0 Recommendation instead of the default.

-1.1
    Canonicalizae to the Canonical XML 1.1 Recommendation instead of the default.

-id id
    Rather than canonicalizing the entire input document, canonicalize and output only the subtree rooted at the node identified by id.

AUTHOR
This manual page was written by Russ Allbery for Debian.

MANUAL LICENSE
The authors hereby relinquish any claim to any copyright that they may have in this work, whether granted under contract or by operation of law or international treaty, and hereby commit to the public, at large, that they shall not, at any time in the future, seek to enforce any copyright in this work against any person or entity, or prevent any person or entity from copying, publishing, distributing or creating derivative works of this work.